import CoUxFormControl from '../../../../components/10x/ux/ux-form-control.js'
import EuiBasePage from '../eui-base.po.js'

export default class FormControlPage extends EuiBasePage {

  constructor() {
      super();
  }
  get coUxFormControl() {
    return new CoUxFormControl(this.mainContent);
  }
  formGroupByIndex(index) {
    let formGroup1 =  new CoUxFormGroup(this.mainContent);
    return formGroup1.byIndex(index);
  }
  getCoUnderSectionTitleByText(id, index) {
    return new CoUxFormControl(this.sectionById(id)).byIndex(index);
  }
}


